Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 1457)
+++ trunk/BNC/bnchelp.html	(revision 1462)
@@ -130,10 +130,11 @@
 &nbsp; &nbsp; &nbsp; 3.12.1. <a href=#streamadd>Add Streams</a><br>
 &nbsp; &nbsp; &nbsp; 3.12.2. <a href=#streamhost>Caster Host and Port</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.3. <a href=#streamuser>User and Password</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.4. <a href=#streamntrip>NTRIP Version</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.5. <a href=#streamtable>Get Table</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.6. <a href=#streamdelete>Delete Streams</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.7. <a href=#streamedit>Edit Streams</a><br>
-&nbsp; &nbsp; &nbsp; 3.12.8. <a href=#streamconf>Reconfigure Streams On-the-fly</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.3. <a href=#streamtable>Caster Table</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.4. <a href=#streamuser>User and Password</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.5. <a href=#streamntrip>NTRIP Version</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.6. <a href=#streamtable>Get Table</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.7. <a href=#streamdelete>Delete Streams</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.8. <a href=#streamedit>Edit Streams</a><br>
+&nbsp; &nbsp; &nbsp; 3.12.9. <a href=#streamconf>Reconfigure Streams On-the-fly</a><br>
 3.13. <a href=#start>Start</a><br>
 3.14. <a href=#stop>Stop</a><br>
@@ -760,13 +761,18 @@
 <p><a name="streamhost"><h4>3.12.2 Caster Host and Port - mandatory</h4></p>
 <p>
-Enter the NTRIP broadcaster host IP and port number. <u>http://www.rtcm-ntrip.org/home</u> provides information about known NTRIP broadcaster installations. Note that EUREF and IGS operate NTRIP broadcasters at <u>http://www.euref-ip.net/home</u> and <u>http://www.igs-ip.net/home</u>.
-</p> 
-
-<p><a name="streamuser"><h4>3.12.3 User and Password - mandatory for protected streams</h4></p>
+Enter the NTRIP broadcaster host IP and port number. Note that EUREF and IGS operate NTRIP broadcasters at <u>http://www.euref-ip.net/home</u> and <u>http://www.igs-ip.net/home</u>.
+</p> 
+
+<p><a name="streamtable"><h4>3.12.3 Caster Table - optional</h4></p>
+<p>
+It may be that your are not sure about your NTRIP broadcasters host and port number or you are interested in other broadcaster installations operated elsewhere. Hit 'Show' for a table of known broadcasters maintained at <u>www.rtcm-ntrip.org/home</u>. A window opens which allows to select a broadcaster for stream retrieval.
+</p> 
+
+<p><a name="streamuser"><h4>3.12.4 User and Password - mandatory for protected streams</h4></p>
 <p>
 Some streams on NTRIP broadcasters may be restricted. Enter a valid 'User' ID and 'Password' for access to protected streams. Accounts are usually provided per NTRIP broadcaster through a registration procedure. Register through <u>http://igs.bkg.bund.de/index_ntrip_reg.htm</u> for access to protected streams on <u>www.euref-ip.net</u> and <u>www.igs-ip.net</u>.
 </p> 
 
-<p><a name="streamntrip"><h4>3.12.4 NTRIP Version - mandatory</h4></p>
+<p><a name="streamntrip"><h4>3.12.5 NTRIP Version - mandatory</h4></p>
 <p>
 Some limitations and deficiencies of the NTRIP version 1 stream transport protocol are solved in NTRIP version 2. Improvements mainly concern a full HTTP compatibility in view of requirements coming from proxy servers. Options implemented in BNC are:
@@ -788,5 +794,5 @@
 </p>
 
-<p><a name="streamtable"><h4>3.12.5 Get Table</h4></p>
+<p><a name="streamtable"><h4>3.12.6 Get Table</h4></p>
 <p>
 Use the 'Get Table' button to download the source-table from the NTRIP broadcaster. Pay attention to data fields 'format' and 'format-details'. Keep in mind that BNC can only decode and convert streams that come in RTCM Version 2.x, RTCM Version 3.x, or RTIGS format. RTCM Version 2.x streams must contain message types 18 and 19 or 20 and 21 while RTCM Version 3.x streams must contain GPS or SBAS message types 1002 or 1004 and may contain GLONASS message types 1010 or 1012, see data field 'format-details' for available message types and their repetition rates in brackets. Note that in order to produce RINEX Navigation files RTCM Version 3.x streams containing message types 1019 (GPS) and 1020 (GLONASS) are required. Select your streams line by line, use +Shift and +Ctrl when necessary.
@@ -799,9 +805,9 @@
 </p> 
 
-<p><a name="streamdelete"><h4>3.12.6 Delete Streams</h4></p>
+<p><a name="streamdelete"><h4>3.12.7 Delete Streams</h4></p>
 <p>
 To remove a stream from the 'Streams' canvas in the main window, highlight it by clicking on it and hit the 'Delete Streams' button. You can also remove multiple streams simultaneously by highlighting them using +Shift and +Ctrl.</p>
 
-<p><a name="streamedit"><h4>3.12.7 Edit Streams</h4></p>
+<p><a name="streamedit"><h4>3.12.8 Edit Streams</h4></p>
 <ul>
 <li>
@@ -818,5 +824,5 @@
 </ul> 
 
-<p><a name="streamconf"><h4>3.12.8 Reconfigure Streams On-the-fly</h4></p>
+<p><a name="streamconf"><h4>3.12.9 Reconfigure Streams On-the-fly</h4></p>
 <p>
 The streams selection can be changed on-the-fly without interrupting uninvolved threads in the running BNC process.
@@ -960,5 +966,5 @@
 <tr><td>Apr 2008 &nbsp;</td><td>Version 1.5 &nbsp;</td><td>[Add] Handle ephemeris from RTCM Version 3.x streams<br> [Add] Upgrade to Qt Version 4.3.2<br> [Add] Optional RINEX v3 output<br> [Add] SBAS support<br> [Bug] RINEX skeleton download following stream outage<br> [Add] Handle ephemeris from RTIGS streams<br> [Add] Monitor stream failure/recovery and latency<br> [Mod] Redesign of main window<br> [Bug] Freezing of About window on Mac systems<br> [Bug] Fixed problem with PRN 32 in RTCMv2 decoder<br> [Bug] Fix for Trimble 4000SSI receivers in RTCMv2 decoder<br> [Mod] Major revision of input buffer in RTCMv2 decoder</td></tr>
 <tr><td>Dec 2008 &nbsp;</td><td>Version 1.6 &nbsp;</td><td>[Mod] Fill blanc columns in RINEXv3 with 0.000<br> [Add] RTCMv3 decoder for clock and orbit corrections<br>[Add] Check RTCMv3 streams for incoming message types<br> [Add] Decode RTCMv2 message types 3, 20, 21, and 22<br> [Add] Loss of lock and lock time indicator<br> [Bug] Rounding error in RTCMv3 decoder concerning GLONASS height<br> [Mod] Accept GLONASS in RTCMv3 when transmitted first<br> [Add] Leap second 1 January 2009<br> [Add] Offline mode, read data from file<br> [Add] Output antenna descriptor, coordinates and excentricities from RTCMv3<br> [Add] Reconfiguration on-the-fly<br> [Mod] Binary ouput of synchronized observations<br> [Add] Binary output of unsynchronized observations<br> [Bug] Fixed problem with joined RTCMv3 blocks</td></tr>
-<tr><td>Jan 2009 &nbsp;</td><td>Version 1.7 &nbsp;</td><td>[Mod] NTRIP v1 source-table request<br> [Bug] RINEX navigation file format <br> [Add] Upgrade to Qt Version 4.4.3<br> [Add] Support of NTRIP v2<br> [Add] Rover support via serial port</td></tr>
+<tr><td>Jan 2009 &nbsp;</td><td>Version 1.7 &nbsp;</td><td>[Mod] NTRIP v1 source-table request<br> [Bug] RINEX navigation file format <br> [Add] Upgrade to Qt Version 4.4.3<br> [Add] Support of NTRIP v2<br> [Add] Rover support via serial port<br> [Add] Show broadcaster table from www.rtcm-ntrip.org<br> [Add] Enable/disable tab widgets</td></tr>
 </table>
 </p>